commit: 3e5264bae2d885b851c59170242d60dde09757f8
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 30 18:19:46 2017 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 18:19:46 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e5264ba
dev-python/ptpython: python3_6 added
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-python/ptpython/ptpython-0.33-r1.ebuild | 34 +++++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
diff --git a/dev-python/ptpython/ptpython-0.33-r1.ebuild
b/dev-python/ptpython/ptpython-0.33-r1.ebuild
new file mode 100644
index 00000000000..45f9f1f3314
--- /dev/null
+++ b/dev-python/ptpython/ptpython-0.33-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python REPL build on top of prompt_toolkit"
+HOMEPAGE="https://pypi.python.org/pypi/ptpython/
https://github.com/jonathanslenders/ptpython"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ dev-python/docopt[${PYTHON_USEDEP}]
+ >=dev-python/jedi-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/prompt_toolkit-0.58[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+# Not included
+RESTRICT=test
+
+python_test() {
+ "${PYTHON}" tests/run_tests.py || die
+}